Subject: bug#54657: 29.0.50; 100% CPU usage with eww on https://blogsurf.io/

From: Eli Zaretskii <[email-masked]>
Date: Sun, 03 Apr 2022 15:07:53 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 03 Apr 2022 13:52:42 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > According to what I see here, libxml-parse-html-region is indeed the
> > part that takes most of the CPU time, and I measured about 30 sec here
> > it took it to parse that page.  If you see something very different,
> > maybe the important factor here is the version of libxml2?
> 
> Wow.  If you call
> 
> (benchmark-run 1 (libxml-parse-html-region (point-min) (point-max)))
> 
> in the 12MB source buffer for that page, it reports 30 seconds?  It
> reports 0.01 seconds for me.

I didn't do the above, I just stepped through eww-display-html in
Edebug, and looked at my watch (30 sec is easy to measure without any
instruments).

So what is your version of libxml2?  Maybe that is the important
aspect here.